Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 425200 - www-apps/Apache-Gallery-1.0_rc3 missing RDEPEND
Summary: www-apps/Apache-Gallery-1.0_rc3 missing RDEPEND
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-07 22:56 UTC by David Klaftenegger
Modified: 2014-12-03 00:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Klaftenegger 2012-07-07 22:56:00 UTC
To actually use Apache-Gallery it requires (at least) media-libs/imlib2, dev-perl/ImageInfo and dev-perl/ImageSize. Other dependencies I haven't actually checked for runtime required-ness.
Additionally, without any useflags, imlib2 is not strictly broken, but relatively useless to Apache-Gallery.

Reproducible: Always

Steps to Reproduce:
1. emerge --buildpkg Apache-Gallery
2. move packages to other computer
3. emerge -k Apache-Gallery
Actual Results:  
The mentioned required packages are not installed.

Expected Results:  
Apache-Gallery RDEPENDs on these packages, so it can be actually used.
Comment 1 Torsten Veller (RETIRED) gentoo-dev 2012-07-10 04:10:51 UTC
Do you want to add a patch, maybe bump the ebuild and proxy-maintain it?
Comment 2 Andreas K. Hüttel gentoo-dev 2014-12-03 00:43:14 UTC
Has been fixed in the meantime.